%define upstream_name     MIME-EncWords
%define upstream_version 1.012.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Deal with RFC-1522 encoded words (improved)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(MIME::Charset) >= 1.8.2
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.yml README
%{perl_vendorlib}/Encode
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog

* Thu Nov 03 2011 jquelin <jquelin> 1:1.12.4-1.mga2
+ Revision: 162235
- update to 1.012.4

* Fri Jun 17 2011 jquelin <jquelin> 1:1.12.3-1.mga2
+ Revision: 108872
- update to 1.012.3

* Sat Jan 22 2011 jquelin <jquelin> 1:1.12.0-2.mga1
+ Revision: 32151
- mageia rebuild
- imported package perl-MIME-EncWords


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:1.12.0-2mdv2011.0
+ Revision: 564737
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.12.0-1mdv2011.0
+ Revision: 552409
- update to 1.012

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.11.1-1mdv2010.1
+ Revision: 399734
- bumping epoch to take new version into account
- update to 1.011.1 for real this time
- using %%perl_convert_version
- fixed license field

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011.1-1mdv2010.0
+ Revision: 387011
- update to new version 1.011.1

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011-1mdv2010.0
+ Revision: 377834
- update to new version 1.011

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.010.101-2mdv2009.0
+ Revision: 265416
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.101-1mdv2009.0
+ Revision: 196827
- update to new version 1.010.101

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.1-1mdv2009.0
+ Revision: 194860
- update to new version 1.010.1

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010-1mdv2009.0
+ Revision: 193861
- update to new version 1.010

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.04.0-2mdv2008.1
+ Revision: 180434
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04.0-1mdv2007.0
+ Revision: 86557
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
+ Revision: 84308
- fix doc files
- Import perl-MIME-EncWords

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
- first mdv release

